Skip to main content
GET
List Loads
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

tms_connection_id
string<uuid> | null

Limit results to a specific TMS connection. This is the UUID assigned by Catena when your TMS account connects to a TMS.

from_datetime
string<date-time>

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-08-16T16:38:34.034395Z"

to_datetime
string<date-time>

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

Example:

"2026-08-17T16:38:34.034526Z"

include_source_data
boolean
default:false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

source_ids
string[] | null

Limit results to specific resources using the identifier provided by the TSP. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?source_ids=id1&source_ids=id2).

Maximum array length: 100
sort_by
string | null

The name of the field to sort results by. If not provided, results will be ordered by occurred_at.

sort_order
enum<string>
default:asc

The order of sorting, either asc for ascending or desc for descending. Defaults to asc if sort_by is provided without sort_order.

Available options:
asc,
desc
cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
LoadRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page